Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452172 - Review Request: mysqltuner - MySQL high performance tuning script
Summary: Review Request: mysqltuner - MySQL high performance tuning script
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-19 19:56 UTC by Ville Skyttä
Modified: 2014-12-03 15:10 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-22 22:55:24 UTC
tibbs: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ville Skyttä 2008-06-19 19:56:59 UTC
http://scop.fedorapeople.org/packages/mysqltuner.spec
http://scop.fedorapeople.org/packages/mysqltuner-0.9.1-1.src.rpm

MySQLTuner is a MySQL high performance tuning script written in perl
that will provide you with a snapshot of a MySQL server's health.
Based on the statistics gathered, specific recommendations will be
provided that will increase a MySQL server's efficiency and
performance.  The script gives you automated MySQL tuning that is on
the level of what you would receive from a MySQL DBA.

Note: intentionally not using %{?dist} as there's nothing really to build in the package that would change between rebuilds on different distros.

Comment 1 Jason Tibbitts 2008-06-20 01:44:20 UTC
This package is about as simple as you can get; a single file.

I guess you know that's not what the dist tag is about, but I assume you can
keep the versioning straight.

Only one observation:

The applied patch seems to be a good idea, except that if you actually pass the
--skipversion option you are warned about it.  Perhaps it would be better to
accept and ignore it.  I don't think this is a blocker, though, since things
still run.

* source files match upstream:
   6d13fdfda710c5d1ef777a31177f31fb691af11a4f953e9fed07a6cdceff7a32  
   mysqltuner.pl.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper (none).
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint has acceptable complaints.
* final provides and requires are sane:
   mysqltuner = 0.9.1-1
  =
   /usr/bin/perl
   mysql
   perl(Getopt::Long)
   perl(diagnostics)
   perl(strict)
   perl(warnings)
   which

* %check is not present; no test suite upstream.  Seems to run OK, but I didn't 
   let it mess with my database server.

APPROVED

Comment 2 manuel wolfshant 2008-06-20 07:30:06 UTC
Worked fine for me on mysql-4.1.20-3.RHEL4.1.el4_6.1 (Centos 4.6) and
mysql-5.0.45-1.el5.remi.x86_64 (Centos 5.1)

Comment 3 Ville Skyttä 2008-06-21 07:16:28 UTC
Thanks!  I intend to maintain this for F-9+ and EL-5+; co-maintainers and
maintainers for earlier branches are of course welcome.

@tibbs: good catch wrt --skipversion, I'll adjust the patch before the first build.

New Package CVS Request
=======================
Package Name: mysqltuner
Short Description: MySQL high performance tuning script
Owners: scop
Branches: F-9 EL-5
InitialCC:
Cvsextras Commits: yes

Comment 4 Kevin Fenzi 2008-06-21 15:29:49 UTC
cvs done.

Comment 5 manuel wolfshant 2008-06-21 15:42:58 UTC
I volunteer to maintain this for EL-4. Creating CVS request per Ville's approval
in comment #3:

Package Change Request
======================
Package Name: mysqltuner
New Branches: EL-4
Updated Fedora CC: wolfy
Updated EPEL Owners: wolfy


Comment 6 Fedora Update System 2008-06-21 18:36:16 UTC
mysqltuner-0.9.1-4 has been submitted as an update for Fedora 9

Comment 7 Ville Skyttä 2008-06-21 18:39:19 UTC
EL-5 and F-9+ builds succeeded, tweaking fedora-cvs flag so that admins notice
comment 5.

Comment 8 Kevin Fenzi 2008-06-22 15:58:00 UTC
cvs done.

Comment 9 Fedora Update System 2008-06-22 20:45:36 UTC
mysqltuner-0.9.1-4 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 manuel wolfshant 2008-06-22 22:55:24 UTC
built in all branches. closing.

Comment 11 Jan ONDREJ 2008-06-23 10:05:03 UTC
Can I ask a build for F-8 too? I want use it on F-8.

Comment 12 Ville Skyttä 2008-06-23 15:52:47 UTC
(In reply to comment #11)
> Can I ask a build for F-8 too? I want use it on F-8.

See comment 3.

Comment 13 Fedora Update System 2008-07-26 05:56:44 UTC
mysqltuner-0.9.1-4 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 manuel wolfshant 2014-12-03 14:22:12 UTC
Package Change Request
======================
Package Name: mysqltuner
New Branches: epel7
Owners: wolfy
InitialCC: mhayden

Comment 15 Gwyn Ciesla 2014-12-03 15:09:43 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.